import { ConfigService } from '../../../shared/services/config/config.service';
import { DataService } from './../data/data.service';
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

/**
 *
 */

@Injectable({
  providedIn: 'root'
})
export class PublicDataService extends DataService {

  /**
   * base Url for public api
   */
  baseUrl: string;
  /**
   * reference of config service.
   */
  public config: ConfigService;

  public http: HttpClient;
  /**
   * constructor
   * @param {ConfigService} config ConfigService reference
   * @param {HttpClient} http HttpClient reference
   */
  constructor(config: ConfigService, http: HttpClient) {
    super(http);
    this.config = config;
    this.baseUrl = this.config.urlConFig.URLS.PUBLIC_PREFIX;
  }
}
